Addresses

Get Address

GET
/api/v2/addresses

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Sets the limit

Range1 <= value <= 500
Default10
offset?integer

Sets the offset

Range0 <= value
Default0
sort_order?string

Sorts the items in ascending or descending order

Default"desc"

Value in

  • "asc"
  • "desc"
sort_by?string

Sorts the items by a specified value

Default"createTime"

Value in

  • "createTime"
  • "updateTime"
filter?unknown

Filters the items by a specified value

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/addresses?limit=10&offset=0&sort_order=desc&sort_by=createTime" \  -H "accept-language: ja"
{  "total": 0,  "data": [    {      "id": 0,      "address": "47 W 13th St, New York, NY 10011, USA",      "city": "New York",      "country": {        "countryId": 8,        "alpha2Code": "US",        "alpha3Code": "USA",        "countryName": "United States",        "numericCode": "840"      },      "postcode": "0200 - 9729",      "state": "New York",      "type": "residential",      "clientId": 0,      "createTime": "2022-01-01T00:00:00+00:00",      "updateTime": "2022-01-01T00:00:00+00:00"    }  ]}
{  "error": {    "message": "Bad Request",    "code": 0,    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}